Subject: Re: symlink & sharing file system
From: [email-masked] (Weiqi Gao)

30 Jan 1999 12:41:03 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Cc: [email-masked]

Rui-Tao Dong wrote:
> 
> I finally convinced my boss to let me install linux on a spare
> machine.  The 200MHz PPro (over a slow 10BaseT line) feels a lot
> faster than the 266PII running NT on my desk.
> 
> On my NT machine, I use mostly CYGWIN32 (b19.1 and about to upgrade)
> applications with VNC as my Xserver.  I would like to share file
> systems (at least my home directory) with the linux machine.  However,
> I haven't figure out a way to make symlink work.  I export part of my
> NT's harddisk and use smbmount to access it from Linux.  Symlink shows
> up as !<symlink>/usr/local/src^@.  If I use samba to export from
> Linux,  I can't export symlink either.  Is there an NFS server or
> client for CYGWIN32?

I believe the symbolic link format used by cygwin is private to cygwin
and is recognized only by the cygwin port of GNU tools.  The NT file
system doesn't know about these symbolic links.  That's probably why
they are not recognized as such when smbmounted from the Linux side.

I don't know if back porting the cygwin tools to Linux will help you
recognize these symbolic links from the Linux side.

I don't know of any NFS servers or clients for NT except the commercial
ones.

--
Weiqi Gao
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".